• kdebase-lib and kde-templates conflicts


    After a hard but successfull installation of Antergos KDE, when I try to check for updates, I have this problem with konsole (sudo pacman -Syy, then -Syu):

    : Aggiornamento del sistema in corso…
    :: Vuoi sostituire kdemultimedia-ffmpegthumbs con extra/ffmpegthumbs? [S/n] s
    risoluzione delle dipendenze in corso…
    ricerca dei pacchetti in conflitto in corso…
    :: kdebase-lib e kde-templates vanno in conflitto. Vuoi rimuovere kde-templates? [s/N] s
    errore: impossibile eseguire l’operazione richiesta (impossibile soddisfare le dipendenze)
    :: antergos-kde-setup: richiede kdemultimedia-ffmpegthumbs

    That in English could be:
    : Updating system…
    :: Do you want to substitute kdemultimedia-ffmpegthumbs with extra/ffmpegthumbs? [Y/n] s
    Resolving dependencies…
    Searching for packets conflicting…
    :: kdebase-lib e kde-templates are in conflict. Do you want to remove kde-templates? [y/N] s
    error: impossible to execute the requested operation (impossible to satisfy the dependencies)
    :: antergos-kde-setup: requires kdemultimedia-ffmpegthumbs

    I have the feeling that I can’t update my system at all.
    Any suggestion, please?

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • The mirrors havent fully synced yet. Try running sudo pacman -Syyu in about an hour.

    Cheers!

  • @lots.0.logs thank you for helping. So it’s not a problem of my system?

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • Tengo el mismo problema

    teto ~ $ sudo pacman -Syyuu
    :: Sincronizando las bases de datos de los paquetes...
     core                                          121.2 KiB   569K/s 00:00 [----------------------------------------] 100%
     extra                                        1771.9 KiB   610K/s 00:03 [----------------------------------------] 100%
     community                                       3.1 MiB   610K/s 00:05 [----------------------------------------] 100%
     multilib                                      142.1 KiB   626K/s 00:00 [----------------------------------------] 100%
     antergos                                      620.7 KiB   569K/s 00:01 [----------------------------------------] 100%
    :: Iniciando actualización completa del sistema...
    :: ¿Remplazar kdegraphics-ksnapshot con extra/spectacle?  [S/n] s
    :: ¿Remplazar kdemultimedia-ffmpegthumbs con extra/ffmpegthumbs?  [S/n] s
    resolviendo dependencias...
    buscando conflictos entre paquetes....
    :: kdebase-lib y kde-templates están en conflicto. ¿Quitar kde-templates? [s/N] s
    error: no se pudo preparar la operación (no se pudieron satisfacer las dependencias)
    :: antergos-kde-setup: necesita kdemultimedia-ffmpegthumbs
    teto ~ $
    

    Saludos

  • Yes and what suggested from the dev was useless unfortunately.
    And with pacman I found many updates available but I can’t update anything.

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

  • You need to answer Yes for all of the prompts you receive from pacman. Provided the mirror you are pulling from has synced, you should not have any problems.

  • Bueno hice la actualización de la siguiente manera:

    teto ~ $ sudo pacman -Rdd kdemultimedia-ffmpegthumbs
    
    Paquete (1)                 Versión antigua  Diferencia neta
    
    kdemultimedia-ffmpegthumbs  15.08.3-2              -0.05 MiB
    
    Tamaño total de los paquetes eliminados:  0.05 MiB
    
    :: ¿Quiere eliminar estos paquetes? [S/n] s
    (1/1) quitando kdemultimedia-ffmpegthumb
    

    luego

    teto ~ $ sudo pacman -Syyu
    :: Sincronizando las bases de datos de los paquetes...
     core                                          121.2 KiB   485K/s 00:00 [----------------------------------------] 100%
     extra                                        1771.9 KiB   542K/s 00:03 [----------------------------------------] 100%
     community                                       3.1 MiB   542K/s 00:06 [----------------------------------------] 100%
     multilib                                      142.1 KiB   618K/s 00:00 [----------------------------------------] 100%
     antergos                                      620.7 KiB   425K/s 00:01 [----------------------------------------] 100%
    :: Iniciando actualización completa del sistema...
    :: ¿Remplazar kdegraphics-ksnapshot con extra/spectacle?  [S/n] s
    resolviendo dependencias...
    buscando conflictos entre paquetes....
    :: kdebase-lib y kde-templates están en conflicto. ¿Quitar kde-templates? [s/N] s
    
    advertencia: no hay columnas suficientes para mostrar la tabla
    Paquetes (70) akonadi-15.12.0-1  akonadi-calendar-15.12.0-1  akonadi-client-15.12.0-1  akonadi-contact-15.12.0-1
                  akonadi-mime-15.12.0-1  akonadi-notes-15.12.0-1  akonadi-search-15.12.0-1  akonadi-socialutils-15.12.0-1
                  archlinux-keyring-20151220-1  ark-15.12.0-1  baloo-5.17.0-2  baloo-widgets-15.12.0-1  dolphin-15.12.0-1
                  dolphin-plugins-15.12.0-1  ffmpeg-1:2.8.4-1  gpgmepp-15.12.0-1  gwenview-15.12.0-1  kalarmcal-15.12.0-1
                  kate-15.12.0-1  kcalc-15.12.0-1  kcalcore-15.12.0-1  kcalutils-15.12.0-1  kcontacts-15.12.0-1
                  kde-l10n-es-15.12.0-1  kde-syndication-15.12.0-1  kde-templates-15.08.3-2 [quitando]
                  kdeadmin-kuser-15.12.0-1  kdebase-kdepasswd-15.12.0-1  kdebase-kdialog-15.12.0-1
                  kdebase-kfind-15.12.0-1  kdebase-lib-15.12.0-1  kdebase-runtime-15.12.0-1  kdegames-kreversi-15.12.0-1
                  kdegames-ksudoku-15.12.0-1  kdegraphics-ksnapshot-2015.12-1 [quitando]  kdegraphics-okular-15.12.0-1
                  kdegraphics-thumbnailers-15.12.0-1  kdelibs-4.14.15-1  kdemultimedia-mplayerthumbs-15.12.0-1
                  kdenetwork-filesharing-15.12.0-1  kdenetwork-kopete-15.12.0-1  kdepim-runtime-15.12.0-1
                  kdesdk-thumbnailers-15.12.0-1  kdeutils-sweeper-15.12.0-1  kholidays-15.12.0-1
                  kidentitymanagement-15.12.0-1  kimap-15.12.0-1  kio-extras-15.12.0-1  kio-pim-15.12.0-1  kldap-15.12.0-1
                  kmail-15.12.0-1  kmailtransport-15.12.0-1  kmbox-15.12.0-1  kmime-15.12.0-1  kmix-15.12.0-1
                  konsole-15.12.0-1  kontactinterface-15.12.0-1  kpimtextedit-15.12.0-1  kwalletmanager-15.12.0-1
                  libgusb-0.2.8-1  libkcddb-15.12.0-1  libkdcraw-15.12.0-1  libkdepim-15.12.0-1  libkexiv2-15.12.0-1
                  libkipi-15.12.0-1  libkolab-1.0.2-2  libktnef-15.12.0-1  print-manager-15.12.0-1  spectacle-15.12.0-1
                  xf86-video-intel-1:2.99.917+519+g8229390-1
    
    Tamaño total de la descarga:     85.53 MiB
    Tamaño total de la instalación:  253.76 MiB
    Tamaño neto tras actualizar:      4.78 MiB
    
    :: ¿Continuar con la instalación? [S/n] s
    

    Y ya tengo mi sistema actualizado. Saludos

  • @kaxlanwa thank you, full update with your workaround ;)

    Antergos KDE + Antergos XFCE + Windows 10
    Motherboard Asus P8H67-M LE - CPU: Intel Core™ i5-2400 CPU @ 3.10GHz - RAM 10 Gb
    Samsung EVO 250 Gb Ssd + WD HDD 2 Tb

Posts 8Views 3349
Log in to reply